Subject: bug#43113: tab incorrectly moves to first button, not next button

From: Craig Andera <[email-masked]>
Date: Sun, 30 Aug 2020 10:58:53 -0400

I use:  Editor:      GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.2.0, NS
appkit-1671.20 Version 10.14.3 (Build 18D109))

        Hyperbole:   7.1.2
        Sys Type:    x86_64-apple-darwin18.2.0
        OS Type:     darwin
        Window Sys:  ns

In the Hyperbole DEMO file, hitting tab always takes me to the first
button, rather than the next one. I traced into the elisp a bit, and sure
enough `next-button` does not find the buttons in the file other than the
one at the top. Which seems to be due to `next-single-char-property-change`
not finding a `button` property change until the end of the file.